Get all playlists

Get all playlists for given workspace

Query Parameters
  • collection_id
    Type: string

    Video Collection ID

Responses
  • application/json
  • application/json
Request Example for get/video/playlist
import Gumlet from '@gumlet/nodejs-sdk';

const client = new Gumlet({
  apiKey: process.env['API_KEY'], // defaults to the API_KEY env var
});

const videoPlaylist = await client.videoPlaylists.listAll();

console.log(videoPlaylist);
[
  {
    "id": "6566ebd57499c676fe302bfc",
    "collection_id": "646df1c9173a4a2fcac180b4",
    "title": "Playlist-1",
    "description": "This is updated description",
    "player_config": {}
  },
  {
    "id": "65802cc5bda4c3f74c99eacf",
    "collection_id": "646df1c9173a4a2fcac180b4",
    "title": "Playlist-2",
    "player_config": {}
  },
  {
    "id": "65802cc6bda4c3f74c99eae5",
    "collection_id": "646df1c9173a4a2fcac180b4",
    "title": "Playlist-3",
    "player_config": {}
  }
]